[tool.poetry]
name = "Velexi Research Project Cookiecutter"
version = "0.9.0"
description = "Template for research projects that utilize Jupyter notebooks for exploration, experimentation, analysis, and reporting"
license = "Apache-2.0"
authors = ["Kevin Chu <kevin@velexi.com>"]

[tool.poetry.dependencies]
python = "^3.10"
cookiecutter = "^2"
pre-commit = "^3"
black = "^24"
flake8 = "^7"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
